<?
/*
* Configuration file
*/
$tyConfig = array (

	# database connection
	# for logging into tyCON (as super admin) uses the database
	# username and password as supplied here
	database => array (
		Host => "",       # Hostname or IP of the DB-Server
		Name => "smartstart",  # database name
		User => "test", # database username
		Pass => "test"  # database password
	),
	# if tyCON does not detect the relative URI path to the tyCON
	# installation please adjust and uncomment the next line
	base=>"/tycon/",
	showTree => 0,


	# Module
	modules => array(
			 # Content
			 content => array(
				# über die Buttonleiste erreichbare Formatierungen
				allowedTags => array('tb_content_table','tb_function_link','tb_function_picture','tb_function_cleaner','css','tb_font_clear','tb_font_bold','tb_font_italic','tb_font_color','tb_valign_left','tb_valign_center','tb_valign_right','tb_content_numberedlist','tb_content_dottedlist','tb_content_increase','tb_content_decrease'), 
				# in der Buttonleiste auswählbare Schriftarten
				allowedFonts => array(Arial=>"Geneva,Arial,Sans-Serif",Verdana=>"Verdana,Geneva,Arial,Helvetica,Sans-Serif",Times=>"Times New Roman,Times,Serif",Courier=>"Courier, Monospace"),
				# in der Buttonleiste auswählbare Styles
				allowedStyles => array(),
				# in der Buttonleiste auswählbare Status-Infos / Extra-Menüs
				menu => array("tb_setup","tb_publication"),
				inlineEditStyle=>'border: solid 1px yellow;',
				inlineEditStyleGlobal=>'border: solid 1px red;',
				inlineEditStyleCheckedOut=>'border:solid 1px green;',
				clean=>array( // clean word html
					array('tag'=>'span','attribute'=>'','value'=>''),
					array('tag'=>'font','attribute'=>'','value'=>''),
					array('tag'=>'','attribute'=>'class','value'=>''),
					array('tag'=>'','attribute'=>'style','value'=>''),
					array('tag'=>'O:P','attribute'=>'','value'=>''),
				),
		 		activated=>true
			),
			/*area*/
			area => array(
				inlineEditStyle=>'border:solid 1px #720F25;',
				inlineEditStyleGlobal=>'border:dashed 1px red;',
				activated=>true
			),
			/* Standartsprache */
			lang => array(
				caption=>'Language',
				defaultLang => 'de',
				languages => array('german'=>'de'),
				activated=>true
			),

			# Navigation
			nav => array(
				activated=>true,
			 	caption=>'Navigation',
				shortURLs => false,                # "/Topic" statt "/templ.php?topic=Topic"
				suffix=>'html',
				variables => '',
				defaultTopic => 'homepage',
				linktargets => array('im selben Fenster' => '_self','im neuen Fenster'=>'_blank'),
				extendedTopicTreatment => false,	 												
				templates => array( # Templatekonfiguration
					"templates/tyTP_standard.php" => array (
						 name => "Standard-Template",
						 variables => ""  # Templatevariablen (werden bei Erstellung eines neuen Navigationspunktes abgefragt und beim Aufruf dem Template übergeben)
					 )
				)
			)
	)
);
if(!in_array($tyConfig[modules][lang][defaultLang],$tyConfig[modules][lang][languages]))
	array_push($tyConfig[modules][lang][languages],$tyConfig[modules][lang][defaultLang]);
?>